Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value.basic
Class StringReference

    java.lang.Object
      org.modeshape.jcr.value.basic.StringReference

All Implemented Interfaces:
  Serializable, Comparable<Reference>, Reference

    @Immutable
    public class StringReference

extends Object
implements Reference

A `Reference` implementation that uses a single `UUID` as the pointer.

See Also:
  Serialized Form

Constructor Summary
`StringReference(String id)`
`StringReference(String id, boolean weak)`

Method Summary
`int` | `compareTo(Reference that)`
`boolean` | `equals(Object obj)`
`String` | `getString()` Get the string form of the Reference.
`String` | `getString(TextEncoder encoder)` Get the encoded string form of the Reference, using the supplied encoder to encode characters in the reference.
`int` | `hashCode()`
`boolean` | `isWeak()` Determine whether this reference is considered a weak reference.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringReference

    public StringReference(String id)

### StringReference

    public StringReference(String id,
                           boolean weak)

Method Detail

### isWeak

    public boolean isWeak()

  Description copied from interface: `Reference`
  Determine whether this reference is considered a weak reference.

  Specified by:
    `isWeak` in interface `Reference`
  Returns:
    true if this is a weak reference, or false otherwise

### getString

    public String getString()

  Description copied from interface: `Reference`
  Get the string form of the Reference. The `default encoder` is used to encode characters in the reference.

  Specified by:
    `getString` in interface `Reference`
  Returns:
    the encoded string
  See Also:
    `Reference.getString(TextEncoder)`

### getString

    public String getString(TextEncoder encoder)

  Description copied from interface: `Reference`
  Get the encoded string form of the Reference, using the supplied encoder to encode characters in the reference.

  Specified by:
    `getString` in interface `Reference`
  Parameters:
    `encoder` - the encoder to use, or null if the `default encoder` should be used
  Returns:
    the encoded string
  See Also:
    `Reference.getString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Reference that)

  Specified by:
    `compareTo` in interface `Comparable<Reference>`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.